create table wfc_node_free_path
(
    id              bigint        not null,
    target_id       bigint        null comment '关联流程、模板外键Id',
    start_node_id   bigint        null comment '起始节点id',
    end_node_ids    varchar(2000) null comment '自由路径结束链接到路径节点串，可能存在多个',
    is_template     int           null comment '是否模板',
    is_current_path int           null comment '如果当前主节点添加出多个自由路径，则当前标记未当前路径，只允许有一个',
    create_time     datetime      null comment '记录插入时间',
    update_time     datetime      null comment '记录更新时间',
    creator         bigint        null comment '创建人ID',
    delete_type     int           null comment '是否删除',
    tenant_key      varchar(10)   null comment '租户key',
    node_index      int           null comment '节点索引',
    constraint wfc_node_free_path_id_uindex
        unique (id)
)
    comment '流程加点加签出的自由路径';

create index idx_free_path_target_id
    on wfc_node_free_path (target_id, tenant_key);

alter table wfc_node_free_path
    add primary key (id);