create table wfc_free_node_group
(
    id                     bigint        not null comment 'groupId',
    is_root                int           null comment '是否根节点',
    target_id              bigint        null comment '模板或者审批Id',
    is_template            int           null comment '是否为模板',
    free_path_id           bigint        null comment '自由路径Id',
    sign_type              int           null comment '会签关系',
    merge_type             int           null comment '合并方式 1 : 按比例通过  2：按分支数通过 3：指定通过分支',
    merge_value            int           null comment '分支参数',
    operators              varchar(4000) null comment '操作者信息',
    is_node                int           null comment '是否节点',
    node_id                bigint        null comment '节点Id',
    parent_group_id        bigint        null comment '父groupId',
    pre_group_id           bigint        null comment '前一个分组Id',
    next_group_id          bigint        null comment '后一个分组Id',
    must_pass              int           null comment '是否必须通过分支',
    over_ft_type           int           null comment '超时时间类型',
    over_ft_date           datetime      null comment '超时时间',
    over_ft_flow_to_next   int           null comment '超时自动流转至下一操作者',
    after_loop_remind      int           null comment '节点超时后开启循环提醒',
    after_remind_interval  int           null comment '节点超时后循环提醒间隔时间-分钟',
    advance_remind         int           null comment '提前提醒',
    before_loop_remind     int           null comment '节点超时前开启循环提醒',
    before_remind_interval int           null comment '节点超时前循环提醒间隔时间',
    over_ft_hour           int           null comment '超时小时',
    over_ft_minute         int           null comment '超时分钟',
    constraint wfc_free_node_group_pk
        primary key (id)
)
    comment '高级模式自由节点设置'
;

create index wfc_target_id__index
    on wfc_free_node_group (target_id)
;