/**
 * 添加水印
 */
function addDocumentWaterMark() {
    // var flowpageWatermarkWidth = 200;
    // var flowpageWatermarkHeight = 200;
    // var flowpageWatermarkRotate = 10;
    // var flowpageWatermarkAlpha = '';
    // var flowpageWatermarkInnerHTMLWM =  "<div style='width:100%;position:absolute;top:50%;transform:translateY(-50%);'><p style='pointer-events:none;'>你好</p></div>";

    //获取页面最大宽度
    var page_width = Math.max(document.body.scrollWidth, document.body.clientWidth);
    //获取页面最大高度
    var page_height = Math.max(document.body.scrollHeight, document.body.clientHeight);

    // 计算需要加载的水印个数
    var col = Math.ceil(page_width / flowpageWatermarkWidth);
    var row = Math.ceil(page_height / flowpageWatermarkHeight);

    //计算水印的宽度和高度
    var x;
    var y;

    // 最外层容器
    var wrapId = 'water-mark-wrap';
    var wrap = document.getElementById(wrapId);
    if (wrap) {
        // 每次更新时需要将原先的水印节点去掉，重新生成水印
        removeEle(wrapId);
    }
    wrap = document.createElement('div');
    wrap.id = wrapId;


    // 处理水印布局容器
    const containerId = 'water-mark';
    let bg = document.getElementById(containerId);
    if (!bg) {
        bg = document.createElement('div');
        bg.id = containerId;
        bg.style.display = 'block';
        bg.style.pointerEvents = 'none';
        bg.style.position = 'absolute';
        bg.style.width = '100%';
        bg.style.overflow = 'hidden';
        bg.style.zIndex = '9999';
        bg.style.top = '0px';
        bg.style.left = '0px';
        bg.style.textAlign = 'center';
        wrap.appendChild(bg);
    }
    bg.innerHTML = '';
    for (var i = 0; i < row; i++) {
        var markLine = document.createElement('div');
        markLine.className = 'ui-watermark-mark-line';
        markLine.style.overflow = 'hidden';
        markLine.style.display = 'inline-flex';
        for (var j = 0; j < col; j++) {
            var mark = document.createElement('div');
            mark.id = 'mask_div' + i + j;
            mark.className = 'ui-watermark-mark';

            mark.style.zIndex = "9999";
            //设置水印不遮挡页面的点击事件
            mark.style.pointerEvents = 'none';
            mark.style.width = flowpageWatermarkWidth+'px';
            mark.style.height = flowpageWatermarkHeight+'px';
            mark.style.pointerEvents = 'none';
            mark.style.zIndex = '-1';
            mark.style.float = 'left';
            mark.style.overflow = 'visible';
            mark.style.opacity = String(Number(flowpageWatermarkAlpha)/100);
            mark.style.transform = 'rotate(-'+flowpageWatermarkRotate+'deg)';
            mark.style.position = 'relative';
            markLine.appendChild(mark);
        };
        bg.appendChild(markLine);
    };
    document.body.appendChild(wrap);

    var marks = document.querySelectorAll('.ui-watermark-mark');

    for (var i = marks.length - 1; i >= 0; i--) {
        marks[i].innerHTML = flowpageWatermarkInnerHTMLWM;
    }

}
/**
 * 根据 id 删除 dom 元素
 * @param selectorId
 */
function removeEle(selectorId){
    var ele = document.getElementById(selectorId);
    if (ele && ele.remove) {
        ele.remove();
        // document.body.remove(ele);
    }
};

window.onload=function(){
    //执行添加水印
    addDocumentWaterMark();
}
//窗口大小变化 刷新水印
window.addEventListener('resize', function handleWM(){
    addDocumentWaterMark()
})


